<?php
// ***************************************************************
// 
// 
// Contato: msn: julianosmi@hotmail.com
// ***************************************************************
session_start();
include('../Amfphp/Services/conexao.php');
$con = new conexao();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo $titulo;?></title>
<link href="cspadm.css" rel="stylesheet" type="text/css" />
</head>

<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<table width="433" border="0" align="left">
  <tr>
    <td width="427" align="center"><span class="txtAlertaBOX">CSPADM Mobile</span><br />
      <table width="430" border="1" align="left">
      <tr>
        <td align="right"><form id="form1" name="form1" method="post" action="?acao=validar_acesso">
          <table width="339" border="0" align="center" cellpadding="2" cellspacing="2">
            <tr>
              <td width="115">&nbsp;</td>
              <td width="214">&nbsp;</td>
            </tr>
            <tr>
              <td class="txtBOX"><div align="right">Usuario:</div></td>
              <td><label for="edt_login"></label>
                <input type="text" name="edt_login" id="edt_login" /></td>
            </tr>
            <tr>
              <td class="txtBOX"><div align="right">Senha:</div></td>
              <td><label for="edt_senha"></label>
                <input type="password" name="edt_senha" id="edt_senha" /></td>
            </tr>
            <tr>
              <td class="txtBOX">&nbsp;</td>
              <td><input name="Validar" type="submit" class="txtBOX" id="Validar" value="Acessar o Sistema" /></td>
            </tr>
          </table>
        
        </form>
          <span class="edtBOX">Desenvolvido por <a href="mailto:julianosmi@hotmail.com">JulianoSMI</a></span>
      </table></td>
  </tr>
  <tr>
    <td align="center" class="edtBOX">Todos os direitos Reservados.</td>
  </tr>
</table>
  <?php
	if ($acao == "validar_acesso"){
		if ($edt_login == "" || $edt_senha == ""){
			echo "<script>window.alert('ERRO. Preenchimento obrigatorio Login / Senha Obrigatorio');</script>";
			echo "<script>window.location='index.php';</script>";
		} else {
			include ("funcoes.php");
			$edt_senha = encripta($edt_senha);
			$sql="select * from usuario where (login='$edt_login') and (senha='$edt_senha')";
			$resultado = $con->banco->Execute($sql);
			$registro = $resultado->FetchNextObject();
			if ($registro->IDUSUARIO == ""){
				$existe_revenda=0;
			} else {
				if ($edt_login == $registro->LOGIN && $edt_senha == $registro->SENHA){
				$existe_revenda=1;
				$usuario_situacao=$registro->SITUACAO;
				if ($usuario_situacao == 'Inativo'){
					echo "<script>window.alert('ERRO. Login Inativo. Favor contactar o Administrador');</script>";
					echo "<script>window.location='index.php';</script>";	
				}
				if ($usuario_situacao == 'Bloqueado'){
					echo "<script>window.alert('ATENCAO. Login Bloqueado. Favor contactar o Administrador');</script>";
					echo "<script>window.location='index.php';</script>";	
				}
				if ($usuario_situacao == 'Ativo'){
					$_SESSION['acesso_idusuario']=$registro->IDUSUARIO;
					$_SESSION['acesso_idempresa']=$registro->IDEMPRESA;
					if ($registro->ADMIN == 1){
						$_SESSION['acesso_admin']=1;
						$_SESSION['acesso_revenda']=0;
					} else {
						$_SESSION['acesso_admin']=0;
						$_SESSION['acesso_revenda']=1;
						
					}
					$idempresa=$registro->IDEMPRESA;
					$sql="select situacao from empresa where idempresa='$idempresa' and situacao='Inativo'";
					$resultado = $con->banco->Execute($sql);
					$registro = $resultado->FetchNextObject();
					if ($registro->IDEMPRESA == ""){
						echo "<script>window.location='menu_mobile.php';</script>";
					} else {
						echo "<script>window.alert('ERRO. Seu acesso ao sistema esta temporariamente bloqueado. Favor contactar o Administrador do Sistema');</script>";
						echo "<script>window.location='index.php';</script>";	
					}
				}
			}
			}
		}
		
		if ($existe_revenda == 0){
				echo "<script>window.alert('ERRO. Acesso nao permitido');</script>";
				echo "<script>window.location='index.php';</script>";
		}
	}
?>

</body>
</html>